EndUsers
Get an end user's fraud network scan
Returns the last fraud network scan for a submission: whether the identity it stated matches a business Heron’s consortium has reported or detected, and what the match is.
GET
/
api
/
end_users
/
{end_user_heron_id}
/
fraud_detection
/
fraud_network
Get an end user's fraud network scan
curl --request GET \
--url https://app.herondata.io/api/end_users/{end_user_heron_id}/fraud_detection/fraud_network \
--header 'x-api-key: <api-key>'import requests
url = "https://app.herondata.io/api/end_users/{end_user_heron_id}/fraud_detection/fraud_network"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.herondata.io/api/end_users/{end_user_heron_id}/fraud_detection/fraud_network', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"businesses": [
{
"address": {
"city": "<string>",
"country": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postcode": "<string>",
"raw": "<string>",
"region": "<string>"
},
"evidence": [
{
"detail": {},
"heron_id": "<string>",
"kind": "detected_money_flow",
"occurred_at": "2023-12-25",
"source": "<string>"
}
],
"heron_id": "<string>",
"identifiers": [
{
"country": "<string>",
"type": "us_ein",
"value": "<string>",
"verified": "matched"
}
],
"names": [
{
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"raw": "<string>",
"type": "legal"
}
],
"redacted": true,
"sightings": [
{
"end_user_heron_id": "<string>",
"seen_at": "2023-11-07T05:31:56Z",
"role": "owner_1"
}
],
"type_of_entity": "<string>"
}
],
"classification": "fraud_network",
"edges": [
{
"edge_type": "owner_of",
"evidence": [
{
"detail": {},
"heron_id": "<string>",
"kind": "detected_money_flow",
"occurred_at": "2023-12-25",
"source": "<string>"
}
],
"from_node_heron_id": "<string>",
"heron_id": "<string>",
"to_node_heron_id": "<string>",
"ownership_percentage": 123
}
],
"input_coverage": {
"address": true,
"dba": true,
"ein": true,
"legal_name": true,
"owner_name": true,
"owner_ssn": true
},
"match_meta": {
"distance_to_first_payment_default": 123,
"matched_fields": [
{
"key": "legal_name",
"subject": "business",
"value": "<string>"
}
],
"score": 123
},
"matched_node_heron_id": "<string>",
"monitoring_until": "2023-11-07T05:31:56Z",
"network": {
"first_payment_default_count": 123,
"heron_id": "<string>",
"mca_suit_member_count": 123,
"member_count": 123,
"name": "<string>",
"reporting_member_count": 123
},
"people": [
{
"address": {
"city": "<string>",
"country": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postcode": "<string>",
"raw": "<string>",
"region": "<string>"
},
"evidence": [
{
"detail": {},
"heron_id": "<string>",
"kind": "detected_money_flow",
"occurred_at": "2023-12-25",
"source": "<string>"
}
],
"heron_id": "<string>",
"names": [
{
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"raw": "<string>",
"suffix": "<string>",
"surname": "<string>",
"type": "legal"
}
],
"national_ids": [
{
"country": "<string>",
"expires_on": "2023-12-25",
"state": "<string>",
"type": "us_ssn",
"value": "<string>"
}
],
"redacted": true,
"sightings": [
{
"end_user_heron_id": "<string>",
"seen_at": "2023-11-07T05:31:56Z",
"role": "owner_1"
}
]
}
],
"scanned_at": "2023-11-07T05:31:56Z",
"status": "match",
"summary": {
"headline": "<string>",
"matched_on": "<string>",
"network": "<string>",
"seen_elsewhere": "<string>",
"this_business": "<string>",
"why_listed": "<string>"
}
}Authorizations
Path Parameters
The Heron ID of the end user
Response
OK
Show child attributes
Show child attributes
Available options:
fraud_network, lone_actor, null Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
match, no_match, insufficient_input Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get an end user's fraud network scan
